Debian Bug report logs - #652672
busybox: modprobe does not handle builtins

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Mon, 19 Dec 2011 18:57:02 UTC

Severity: wishlist

Tags: confirmed, patch

Fixed in version busybox/1:1.20.0-7

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.busybox.net/show_bug.cgi?id=5270

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 18:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: busybox: modprobe does not handle builtins
Date: Mon, 19 Dec 2011 19:52:07 +0100
Package: busybox
Version: 1:1.19.3-5
Severity: normal

Unlike the modprobe utility from module-init-tools, busybox' version
fails for built-in modules:

,----
| % grep ext4 /lib/modules/$(uname -r)/modules.builtin
| kernel/fs/ext4/ext4.ko
| % sudo modprobe ext4
| % sudo busybox modprobe ext4
| modprobe: module ext4 not found in modules.dep
`----

This leads to annoying error messages on boot.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-rc6-nouveau (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages busybox depends on:
ii  libc6  2.13-23

busybox recommends no packages.

busybox suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 20:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 20:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 652672@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Sven Joachim <svenjoac@gmx.de>, 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Tue, 20 Dec 2011 00:46:34 +0400
severity 652672 wishlist
thanks

On 19.12.2011 22:52, Sven Joachim wrote:
> Package: busybox
> Version: 1:1.19.3-5
> Severity: normal
> 
> Unlike the modprobe utility from module-init-tools, busybox' version
> fails for built-in modules:
> 
> ,----
> | % grep ext4 /lib/modules/$(uname -r)/modules.builtin
> | kernel/fs/ext4/ext4.ko
> | % sudo modprobe ext4
> | % sudo busybox modprobe ext4
> | modprobe: module ext4 not found in modules.dep
> `----
> 
> This leads to annoying error messages on boot.

This is what -q option is for, and it always worked this way
initially.  Later modprobe in m-i-t changed behavour, but it
is not really necessary to follow this - IMHO anyway.  After
all, you requested to load a module and modprobe can't do that,
hence I think m-i-t is wrong here.

Besides, it works just fine here, no annoying error messages
like that.

I'd close this bug right away but I want to hear your opinion
first, hence downgrading it to wishlist - since the behavour
is correct.

Thanks,

/mjt




Severity set to 'wishlist' from 'normal' Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Mon, 19 Dec 2011 20:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 21:09:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 21:09:33 GMT) Full text and rfc822 format available.

Message #17 received at 652672@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Mon, 19 Dec 2011 22:08:54 +0100
On 2011-12-19 21:46 +0100, Michael Tokarev wrote:

> severity 652672 wishlist
> thanks
>
> On 19.12.2011 22:52, Sven Joachim wrote:
>> Package: busybox
>> Version: 1:1.19.3-5
>> Severity: normal
>> 
>> Unlike the modprobe utility from module-init-tools, busybox' version
>> fails for built-in modules:
>> 
>> ,----
>> | % grep ext4 /lib/modules/$(uname -r)/modules.builtin
>> | kernel/fs/ext4/ext4.ko
>> | % sudo modprobe ext4
>> | % sudo busybox modprobe ext4
>> | modprobe: module ext4 not found in modules.dep
>> `----
>> 
>> This leads to annoying error messages on boot.
>
> This is what -q option is for, and it always worked this way
> initially.  Later modprobe in m-i-t changed behavour, but it
> is not really necessary to follow this - IMHO anyway.  After
> all, you requested to load a module and modprobe can't do that,
> hence I think m-i-t is wrong here.

I don't think so, because modprobe also succeeds when you try to load a
module that is already loaded, and with builtins you have really the
same situation -- asking for functionality that is already available.

> Besides, it works just fine here, no annoying error messages
> like that.

It likely only happens with self-built kernels, since official Debian
kernels have pretty much everything built as a module.

> I'd close this bug right away but I want to hear your opinion
> first, hence downgrading it to wishlist - since the behavour
> is correct.

I disagree (see above), but I can understand the need to keep busybox
small.  Alas, initramfs-tools do not use the -q option.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 21:18:05 GMT) Full text and rfc822 format available.

Message #22 received at 652672@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Sven Joachim <svenjoac@gmx.de>, 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Tue, 20 Dec 2011 01:15:55 +0400
On 20.12.2011 01:08, Sven Joachim wrote:
[]
>> I'd close this bug right away but I want to hear your opinion
>> first, hence downgrading it to wishlist - since the behavour
>> is correct.
> 
> I disagree (see above), but I can understand the need to keep busybox
> small.  Alas, initramfs-tools do not use the -q option.

initramfs-tools does not need to use -q option since the only modules
it loads are real modules, not built-ins.

This should happen only on somehow improperly configured system.
What tries to load module which is not module?

Thanks,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to johnandsara2@cox.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 21:51:05 GMT) Full text and rfc822 format available.

Message #27 received at submit@bugs.debian.org (full text, mbox):

From: "John D. Hendrickson and Sara Darnell" <johnandsara2@cox.net>
To: 652672@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Mon, 19 Dec 2011 16:44:12 -0500
I hate to say anything no knowing the full story.  I was just installing.

The initrd.gz off netinst CD does has depmod.  If you use it then your ext4 module loads right? 
Without depmod you could edit the modules.dep et al files with nano and that should work too, if I 
remember correctly.

I had to copy ext2.ko using dd and a floppy, no fs modules in initrd to mount even minix.  deb-inst 
told it found no kernel in netinst which it wanted.  wtf?

busy box saves the day again right?  i got it working.

Sven Joachim wrote:
> Package: busybox
> Version: 1:1.19.3-5
> Severity: normal
> 
> Unlike the modprobe utility from module-init-tools, busybox' version
> fails for built-in modules:
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 21:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to johnandsara2@cox.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 21:51:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Mon, 19 Dec 2011 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 19 Dec 2011 22:03:07 GMT) Full text and rfc822 format available.

Message #37 received at 652672@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Mon, 19 Dec 2011 23:01:01 +0100
On 2011-12-19 22:15 +0100, Michael Tokarev wrote:

> On 20.12.2011 01:08, Sven Joachim wrote:
> []
>>> I'd close this bug right away but I want to hear your opinion
>>> first, hence downgrading it to wishlist - since the behavour
>>> is correct.
>> 
>> I disagree (see above), but I can understand the need to keep busybox
>> small.  Alas, initramfs-tools do not use the -q option.
>
> initramfs-tools does not need to use -q option since the only modules
> it loads are real modules, not built-ins.

This is not what I'm seeing here.

> This should happen only on somehow improperly configured system.
> What tries to load module which is not module?

I would assume that fstype (from klibc-utils) detects my root
filesytstem is ext4, and some script tries to modprobe the ext4 module
as a consequence.  However, there is another error message that even
appears with official kernels:

modprobe: module unix not found in modules.dep

I found "unix" in the initramfs in conf/modules, don't know where it
comes from.

BTW, are you sure that you updated your initramfs before you tried to
reproduce the problem?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Tue, 20 Dec 2011 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 20 Dec 2011 07:24:03 GMT) Full text and rfc822 format available.

Message #42 received at submit@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: johnandsara2@cox.net, 652672@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Tue, 20 Dec 2011 11:20:07 +0400
On 20.12.2011 01:44, John D. Hendrickson and Sara Darnell wrote:
> I hate to say anything no knowing the full story.  I was just installing.
> 
> The initrd.gz off netinst CD does has depmod.  If you use it then your ext4 module loads right? Without depmod you could edit the modules.dep et al files with nano and that should work too, if I remember correctly.
> 
> I had to copy ext2.ko using dd and a floppy, no fs modules in initrd to mount even minix.  deb-inst told it found no kernel in netinst which it wanted.  wtf?
> 
> busy box saves the day again right?  i got it working.

I don't understand anything you wrote above.  Can you elaborate please?

The place you quoted from the previous email:

>> Unlike the modprobe utility from module-init-tools, busybox' version fails for built-in modules:

is at least improperly worded, proper wording would be something like
"modprobe from busybox complains about built-in modules" - since there's
no way to _load_ a module which is already built-in to the kernel.

If you have some problem with ext2.ko, please describe it in more details.

Thanks,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Tue, 20 Dec 2011 07:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 20 Dec 2011 07:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Tue, 20 Dec 2011 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to johnandsara2@cox.net:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 20 Dec 2011 18:12:05 GMT) Full text and rfc822 format available.

Message #52 received at 652672@bugs.debian.org (full text, mbox):

From: "John D. Hendrickson and Sara Darnell" <johnandsara2@cox.net>
To: 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Tue, 20 Dec 2011 12:55:57 -0500
Put code in a kernel but don't want kernel params, sysctl, /proc, or /sysfs to wake it?  Instead 
wishing modprobe will wake it ??  Sorry I interrupted  :)  - John

>> Unlike the modprobe utility from module-init-tools, busybox' version
>> fails for built-in modules:






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package busybox. (Fri, 06 Jan 2012 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 06 Jan 2012 18:09:04 GMT) Full text and rfc822 format available.

Message #57 received at 652672@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 652672@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>, 654282@bugs.debian.org
Subject: busybox: modprobe does not handle builtins
Date: Fri, 06 Jan 2012 19:04:47 +0100
[Message part 1 (text/plain, inline)]
>  However, there is another error message that even
> appears with official kernels:
> 
> modprobe: module unix not found in modules.dep
> 
> I found "unix" in the initramfs in conf/modules, don't know where it
> comes from.

This comes from udev, see [1].

Cheers,
Michael

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=654282
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'https://bugs.busybox.net/show_bug.cgi?id=5270'. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sat, 02 Jun 2012 15:33:09 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sat, 02 Jun 2012 15:33:12 GMT) Full text and rfc822 format available.

Bug reassigned from package 'busybox' to 'src:busybox'. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:39:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions busybox/1:1.19.3-5. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:39:05 GMT) Full text and rfc822 format available.

Marked as found in versions busybox/1:1.20.0-5. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:39:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:39:06 GMT) Full text and rfc822 format available.

Merged 652672 654282 679571 Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:39:08 GMT) Full text and rfc822 format available.

Added indication that 652672 affects initramfs-tools Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:42:05 GMT) Full text and rfc822 format available.

Marked as found in versions busybox/1:1.19.3-5. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 22 Jul 2012 08:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package src:busybox. (Fri, 27 Jul 2012 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to HacKurx <hackurx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 27 Jul 2012 12:57:03 GMT) Full text and rfc822 format available.

Message #80 received at 652672@bugs.debian.org (full text, mbox):

From: HacKurx <hackurx@gmail.com>
To: 654282@bugs.debian.org, 652672@bugs.debian.org
Subject: busybox and modprobe
Date: Fri, 27 Jul 2012 14:52:14 +0200
[Message part 1 (text/plain, inline)]
Hi,

To solve the problem "module unix not found in modules.dep", use this
command:

sed -i 's/force_load unix/#force_load unix/g'
/usr/share/initramfs-tools/hooks/udev

For "module ahci not found in modules.dep" and "module ext4 not found in
modules.dep" the messages come when "CONFIG_EXT4_FS" and "CONFIG_SATA_AHCI"
is "y" and not "m" in the kernel.

Best regards,

HacKurx
www.hackurx.info
[Message part 2 (text/html, inline)]

Message #81 received at 654282-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 654282-close@bugs.debian.org
Subject: Bug#654282: fixed in udev 175-4
Date: Mon, 30 Jul 2012 04:02:15 +0000
Source: udev
Source-Version: 175-4

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Jul 2012 05:36:46 +0200
Source: udev
Binary: udev libudev0 libudev-dev udev-udeb udev-gtk-udeb libgudev-1.0-0 gir1.2-gudev-1.0 libgudev-1.0-dev
Architecture: source i386
Version: 175-4
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 gir1.2-gudev-1.0 - libgudev-1.0 introspection data
 libgudev-1.0-0 - GObject-based wrapper library for libudev
 libgudev-1.0-dev - libgudev-1.0 development files
 libudev-dev - libudev development files
 libudev0   - libudev shared library
 udev       - /dev/ and hotplug management daemon
 udev-gtk-udeb - libudev shared library (udeb)
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 651941 652549 654282 657948 659652 660005 666223 674773 677936
Changes: 
 udev (175-4) unstable; urgency=low
 .
   * Stop trying to load the unix module in the initramfs hook.
     (Closes: #654282)
   * Load again the obsolete sg driver disabled in 175-1, because other
     packages still use it. (Closes: #657948)
   * Do not generate persistent rules for Virtualbox network interfaces.
     (Closes: #659652)
   * Added a new debconf translation: po. (Closes: #660005)
   * Made udev depend on psmisc because it uses ps in the init script.
     (Closes: #677936)
   * Do not try to start udevd in postinst in containers. (See #620921.)
     (Closes: #651941)
   * Always use --user root with start-stop-daemon --name. (Closes: #652549)
   * Removed -lrt from the libudev pkg-config file. (Closes: #674773)
   * Moved 60-persistent-input.rules back from udev-gtk-udeb to udev-udeb.
     (Closes: #666223)
Checksums-Sha1: 
 05715d25c94a27b157b94cbdb13d2391308a22da 1792 udev_175-4.dsc
 a75b4b323d7e5f360ca3c0f4ce95cad62251e2cf 89596 udev_175-4.debian.tar.gz
 984fae074531a92622193ab713a44be960c0000a 374600 udev_175-4_i386.deb
 4f92df948111c45f12e830224249e3c4e8d0a839 127816 libudev0_175-4_i386.deb
 064b5c7e539ffd6fe91b99ea8d689c50614fe35c 61538 libudev-dev_175-4_i386.deb
 1d5f9cbb08bc563b2db448141e9238283ffc7525 104078 udev-udeb_175-4_i386.udeb
 23d6cd63ec582a297febf5e1f78627986c24afc4 22134 udev-gtk-udeb_175-4_i386.udeb
 82b63380aff9cbd885f54b0ec5ce50b743a4cc21 112178 libgudev-1.0-0_175-4_i386.deb
 7b918e51dbd48b91d9aa4abecac93c6abb16fde8 3004 gir1.2-gudev-1.0_175-4_i386.deb
 c9c546b2c0c6448e0d9086735d9917cb96dbcf55 42356 libgudev-1.0-dev_175-4_i386.deb
Checksums-Sha256: 
 64fe4281124ebda1efdda219f6ec539d4ca676ec647dcc5901cb6c31c715f3ea 1792 udev_175-4.dsc
 8980af61293cd0d144daaf566e3011ab33d8614219482663e8ae8842408bf8e0 89596 udev_175-4.debian.tar.gz
 3b27e552dc1c70282efd7481476d1a02c63c96eb855eadec1bbd2c15c40556e5 374600 udev_175-4_i386.deb
 d2acb1cbf0877329c1919dd81ab58e1858c48e763dd31c04f918f43e2ace0c15 127816 libudev0_175-4_i386.deb
 2c115c58a8729c1200278f3657a967cf87048db84857807fb264c02163a3c46c 61538 libudev-dev_175-4_i386.deb
 ec783aada7e6a36e4d967a3d3aa9de39471c997db195d54c02199855df05114f 104078 udev-udeb_175-4_i386.udeb
 69351156e508bd685310317e0cbcc1f3b939ff5998bd5699914e6848ffa3d5fa 22134 udev-gtk-udeb_175-4_i386.udeb
 eaad05990d0a54ef046cc92d9034bcfaf9f7611441843d13dad2733bfaea800e 112178 libgudev-1.0-0_175-4_i386.deb
 0aedd6a5ea86f47b38536226ec66b70dd1d2a3067065552f389e489fb1968d1f 3004 gir1.2-gudev-1.0_175-4_i386.deb
 eebdb04fbd12d1647324767d1c691de97a9003a81031a14336a2070102668ecc 42356 libgudev-1.0-dev_175-4_i386.deb
Files: 
 926b3021cf3dfb15326724a723c7e420 1792 admin important udev_175-4.dsc
 ab3175dccec1d685221656ff5c5186d6 89596 admin important udev_175-4.debian.tar.gz
 6678e5c656b53f9902092f0d3d60be39 374600 admin important udev_175-4_i386.deb
 a66981e01972154e5964646e503b85bf 127816 libs important libudev0_175-4_i386.deb
 73ce9ea6a1e97ccc92de907868a6dbe3 61538 libdevel optional libudev-dev_175-4_i386.deb
 670a77e5a0cd3fef5397ee41a8abb46d 104078 debian-installer important udev-udeb_175-4_i386.udeb
 98637bfa1dae1bd3e3f5f7ba4c3b8c79 22134 debian-installer optional udev-gtk-udeb_175-4_i386.udeb
 339a0aa16a99b1be66aed00628d6c7a2 112178 libs optional libgudev-1.0-0_175-4_i386.deb
 3e0ac9a150e866797962cd2ad5b34d61 3004 introspection optional gir1.2-gudev-1.0_175-4_i386.deb
 4484badb7cec69a365e83c84c5720bae 42356 libdevel optional libgudev-1.0-dev_175-4_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAWAaIACgkQFGfw2OHuP7EUzQCeOm9RiDUDPKWWDAjpqaMKyiKM
ilUAn3tux+jxiSdZBH/RJQO3JFRgiaZ2
=u2+t
-----END PGP SIGNATURE-----




Disconnected #652672 from all other report(s). Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 09:27:03 GMT) Full text and rfc822 format available.

Bug reopened Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 09:39:10 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions udev/175-4. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 09:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package src:busybox. (Sat, 11 Aug 2012 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 11 Aug 2012 10:06:03 GMT) Full text and rfc822 format available.

Message #92 received at 652672@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Ben Hutchings <ben@decadent.org.uk>, 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Sat, 11 Aug 2012 14:02:51 +0400
[Note: the right bug# for this is #652672]

On 22.07.2012 20:02, Ben Hutchings wrote:
> OK, attaching a new patch that does that as well.

> @@ -595,6 +598,11 @@ int modprobe_main(int argc UNUSED_PARAM,
>  		while (config_read(parser, &s, 1, 1, "# \t", PARSE_NORMAL & ~PARSE_GREEDY))
>  			get_or_add_modentry(s)->flags |= MODULE_FLAG_LOADED;
>  		config_close(parser);
> +
> +		parser = config_open2("modules.builtin", fopen_for_read);
> +		while (config_read(parser, &s, 1, 1, "# \t", PARSE_NORMAL))
> +			get_or_add_modentry(s)->flags |= MODULE_FLAG_BUILTIN;
> +		config_close(parser);
>  	}
>
>  	if (opt & (OPT_INSERT_ALL | OPT_REMOVE)) {

This piece should check if modules.builtin has been opened successfully,
or else `parser' variable will be NULL.

		parser = config_open2("modules.builtin", fopen_for_read);
		if (parser) {
			while (config_read(parser, &s, 1, 1, "# \t", PARSE_NORMAL))
				get_or_add_modentry(s)->flags |= MODULE_FLAG_BUILTIN;
			config_close(parser);
		}

This is quite a trivial change, is that okay to do this modification
yet retain your S-o-b line (and change the bug# as well)?

I want to include this patch with the next revision of busybox,
and sent it upstream.

Thanks!

/mjt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#652672; Package src:busybox. (Sat, 11 Aug 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 11 Aug 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #97 received at 652672@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 652672@bugs.debian.org
Subject: Re: Bug#652672: busybox: modprobe does not handle builtins
Date: Sat, 11 Aug 2012 13:33:46 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2012-08-11 at 14:02 +0400, Michael Tokarev wrote:
> [Note: the right bug# for this is #652672]
> 
> On 22.07.2012 20:02, Ben Hutchings wrote:
> > OK, attaching a new patch that does that as well.
> 
> > @@ -595,6 +598,11 @@ int modprobe_main(int argc UNUSED_PARAM,
> >  		while (config_read(parser, &s, 1, 1, "# \t", PARSE_NORMAL & ~PARSE_GREEDY))
> >  			get_or_add_modentry(s)->flags |= MODULE_FLAG_LOADED;
> >  		config_close(parser);
> > +
> > +		parser = config_open2("modules.builtin", fopen_for_read);
> > +		while (config_read(parser, &s, 1, 1, "# \t", PARSE_NORMAL))
> > +			get_or_add_modentry(s)->flags |= MODULE_FLAG_BUILTIN;
> > +		config_close(parser);
> >  	}
> >
> >  	if (opt & (OPT_INSERT_ALL | OPT_REMOVE)) {
> 
> This piece should check if modules.builtin has been opened successfully,
> or else `parser' variable will be NULL.

The preceding loop that reads /proc/modules doesn't check this, so
neither did I.  Looking at the source of config_read() and
config_close(), it's clear that this is harmless.

> 		parser = config_open2("modules.builtin", fopen_for_read);
> 		if (parser) {
> 			while (config_read(parser, &s, 1, 1, "# \t", PARSE_NORMAL))
> 				get_or_add_modentry(s)->flags |= MODULE_FLAG_BUILTIN;
> 			config_close(parser);
> 		}
> 
> This is quite a trivial change, is that okay to do this modification
> yet retain your S-o-b line (and change the bug# as well)?
> 
> I want to include this patch with the next revision of busybox,
> and sent it upstream.

Feel free to fix the bug number, of course.

Ben.

-- 
Ben Hutchings
Unix is many things to many people,
but it's never been everything to anybody.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'src:busybox' to 'busybox'. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 19:12:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions busybox/1:1.20.0-5 and busybox/1:1.19.3-5. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Sat, 11 Aug 2012 19:12:03 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Thu, 20 Sep 2012 08:51:10 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Thu, 20 Sep 2012 08:51:10 GMT) Full text and rfc822 format available.

Message #106 received at 652672-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 652672-close@bugs.debian.org
Subject: Bug#652672: fixed in busybox 1:1.20.0-7
Date: Thu, 20 Sep 2012 08:47:55 +0000
Source: busybox
Source-Version: 1:1.20.0-7

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 20 Sep 2012 10:32:55 +0400
Source: busybox
Binary: busybox busybox-static busybox-udeb busybox-syslogd udhcpc udhcpd
Architecture: source all i386
Version: 1:1.20.0-7
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-syslogd - Provides syslogd and klogd using busybox
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
 udhcpc     - Provides the busybox DHCP client implementation
 udhcpd     - Provides the busybox DHCP server implementation
Closes: 652672 684611
Changes: 
 busybox (1:1.20.0-7) unstable; urgency=low
 .
   * set CONFIG_FEATURE_COPYBUF_KB from 4 to 64 for all flavours.  This
     increases speed of various applets *dramatically*.  For example, wget
     applet downlad time for certain file decreased from 3.8sec to 0.6sec.
   * modprobe-read-modules-builtin.patch: stop modprobe from complaining
     when asked to load a "module" which is built-in.  Thank you
     Ben Hutchings for the patch. (Closes: #652672)
   * udeb: enable ping6 applet and FEATURE_FANCY_PING - more featureful
     ping(6) variant with statistics et al.  This makes ping6 available in
     d-i (initial network debugging), and makes ping there not only more
     useful but also using a more tested code, as used in other variants.
     4Kb file size increase on i386.
   * stop-checking-ancient-kernel-version.patch: a rather trivial patch
     to disable compatibility code for kernels <2.2.18 in nfs mount.
     This was the only place in debian busybox which used
     get_linux_version_code() function which was buggy on kernels with
     less than 3 components version number.  So instead of fixing that
     function, we got rid of the last user of it.  (Closes: #684611)
Checksums-Sha1: 
 e889eef1794958f12671118dfecc929ee7362eec 1610 busybox_1.20.0-7.dsc
 4cdbb29e66e1bc5986878baf4088b6d93fe23457 57915 busybox_1.20.0-7.debian.tar.gz
 fb7708e45ba80f94ab6a731446dd160ca81e4acf 20604 busybox-syslogd_1.20.0-7_all.deb
 7c989d8a04c678e5a965d2e23a708527a10137b7 876744 busybox-static_1.20.0-7_i386.deb
 269f0e6255904b4bf664fccaf39b98e6740c70f9 440902 busybox_1.20.0-7_i386.deb
 1990a093a3729eff368546644968755723f8281d 18142 udhcpc_1.20.0-7_i386.deb
 0de48462a30e77a5b479a8fd1dda5bdc84cc6205 21510 udhcpd_1.20.0-7_i386.deb
 985bdb98d131c1c9b2ef66278572848627f63576 178296 busybox-udeb_1.20.0-7_i386.udeb
Checksums-Sha256: 
 6ead33e18508ba3f8ed51406d2d487025279f82e50b094857379ecce84e33a6c 1610 busybox_1.20.0-7.dsc
 0bcbb11216f859c7f41c96f7b21fc9d6165282f9a58b3d1fe9d9dff2c96e1791 57915 busybox_1.20.0-7.debian.tar.gz
 6a334128601674c55b429c6ae3e64ec804b8979107465788a168d34d183f413a 20604 busybox-syslogd_1.20.0-7_all.deb
 172c88a32b34ccce0fb50468325729ee8409f236986e75c113b8305036548a14 876744 busybox-static_1.20.0-7_i386.deb
 b1468a23002b3135c5bf6dbf00b999e530332b0f703c148d112d80af6c7a37f3 440902 busybox_1.20.0-7_i386.deb
 2a90c7ab3407b96354f415c034aef0120856008d6e00e009df55a0d0d3890976 18142 udhcpc_1.20.0-7_i386.deb
 32c32b247096d517f898a995abc7acfd1500309025fa141c700aaa4b08c1782a 21510 udhcpd_1.20.0-7_i386.deb
 c9f50ec742228bc44a3c68e20b4d67ffe1b95ec55ed5e16b2f8e66f56175ba30 178296 busybox-udeb_1.20.0-7_i386.udeb
Files: 
 509650ecbdf198f7bd1758849c054ba1 1610 utils optional busybox_1.20.0-7.dsc
 5a13c668dd85178ca2afdf6692e596ec 57915 utils optional busybox_1.20.0-7.debian.tar.gz
 e2acb96e4b4e5aa16213384403aa9dd8 20604 utils optional busybox-syslogd_1.20.0-7_all.deb
 e4d88aaa4ccd61137fe12867e0d4835d 876744 shells extra busybox-static_1.20.0-7_i386.deb
 9bd499979ac7ce0e3b32de1de5946984 440902 utils optional busybox_1.20.0-7_i386.deb
 95950da6b6ced050636b0da03a1aa119 18142 net optional udhcpc_1.20.0-7_i386.deb
 a11f08a6b3cf8e756af6c8969d81fafb 21510 net optional udhcpd_1.20.0-7_i386.deb
 30092cf5bfc4d859011d9290083dbd27 178296 debian-installer extra busybox-udeb_1.20.0-7_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlBauckACgkQUlPFrXTwyDjjVAP+OqrI195GGL46RqcUcf/kOP/y
XoUcf+OkDvpGqPhQLuoZHtOWwSrgqMzxlziJacasXApwZZxSNEpW3o4ozyGR9j7a
NRTE0syMTD54PCViwHcOPtvG7CYcQ5NdmE8EigdOGJTdpHg69IbcmcAjUxZQ5AaD
FKZdyKcaKKbVxzd7wns=
=cbJg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Oct 2012 07:27:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:15:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.